org.eclipse.jetty.io.bio

## Class StringEndPoint

- java.lang.Object
- - org.eclipse.jetty.io.bio.StreamEndPoint
  - - org.eclipse.jetty.io.bio.StringEndPoint

All Implemented Interfaces:
  EndPoint

    public class StringEndPoint
    extends StreamEndPoint

To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

### Constructor Summary

Constructors
Constructor and Description
`StringEndPoint()`
`StringEndPoint(String encoding)`

### Method Summary

Methods
`String` `getOutput()`
`boolean` `hasMore()`
`void` `setInput(String s)`

### Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint

`blockReadable, blockWritable, close, fill, flush, flush, flush, getInputStream, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getOutputStream, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, idleExpired, isBlocking, isClosed, isInputShutdown, isOpen, isOutputShutdown, setInputStream, setMaxIdleTime, setOutputStream, shutdownInput, shutdownOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringEndPoint

    public StringEndPoint()

#### StringEndPoint

    public StringEndPoint(String encoding)

### Method Detail

#### setInput

    public void setInput(String s)

#### getOutput

    public String getOutput()

#### hasMore

    public boolean hasMore()

Returns:
  `true` if there are bytes remaining to be read from the encoded input